classification
Title: Improve docstring of list.sort
Type: enhancement Stage: resolved
Components: Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: josh.r, rhettinger, timhoffm
Priority: normal Keywords:

Created on 2018-07-28 11:52 by timhoffm, last changed 2019-08-24 00:27 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8516 merged timhoffm, 2018-07-28 11:52
Messages (2)
msg322545 - (view) Author: Tim Hoffmann (timhoffm) * Date: 2018-07-28 11:52
The current docstring of list.sort is just "Stable sort *IN PLACE*."

This is missing a description of the arguments key and reverse. Also a short explanation of stable and in-place would be helpful for less experienced users.
msg322905 - (view) Author: Josh Rosenberg (josh.r) * (Python triager) Date: 2018-08-02 01:44
Copying from the sorted built-in's docstring would make sense here, given that sorted is implemented in terms of list.sort in the first place.
History
Date User Action Args
2019-08-24 00:27:29rhettingersetstatus: open -> closed
resolution: fixed
stage: resolved
2018-08-02 02:57:59rhettingersetassignee: rhettinger

nosy: + rhettinger
2018-08-02 01:44:27josh.rsetnosy: + josh.r
messages: + msg322905
2018-07-28 11:52:07timhoffmcreate